summaryrefslogtreecommitdiff
path: root/openwrt/package/portmap
diff options
context:
space:
mode:
authorNicolas Thill <nico@openwrt.org>2005-07-22 23:07:18 +0000
committerNicolas Thill <nico@openwrt.org>2005-07-22 23:07:18 +0000
commitcd86893a90439aee170e48fcef63b773192eddf6 (patch)
tree8c2292d26fe74b22f4809f08ef45e2d2337814c8 /openwrt/package/portmap
parent15f3d986a37ebf9b83e0a8fdb118ecc4256585c4 (diff)
downloadmtk-20170518-cd86893a90439aee170e48fcef63b773192eddf6.zip
mtk-20170518-cd86893a90439aee170e48fcef63b773192eddf6.tar.gz
mtk-20170518-cd86893a90439aee170e48fcef63b773192eddf6.tar.bz2
add an initscript
SVN-Revision: 1536
Diffstat (limited to 'openwrt/package/portmap')
-rw-r--r--openwrt/package/portmap/files/portmap.init16
1 files changed, 16 insertions, 0 deletions
diff --git a/openwrt/package/portmap/files/portmap.init b/openwrt/package/portmap/files/portmap.init
new file mode 100644
index 0000000..e1ed89a
--- /dev/null
+++ b/openwrt/package/portmap/files/portmap.init
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+BIN=portmap
+DEFAULT=/etc/default/$BIN
+[ -f $DEFAULT ] && . $DEFAULT
+
+case $1 in
+ start)
+ $BIN $OPTIONS
+ ;;
+ *)
+ echo "usage: $0 (start)"
+ exit 1
+esac
+
+exit $?